## Apache Zeta Components Manual :: Docs For Class ezcReflectionType

### Reflection::ezcReflectionType

### Interface ezcReflectionType

Interface for type objects representing a type/class

Source for this file: /Reflection/src/interfaces/type.php

Version: | //autogen//

### Method Summary

public string | `getTypeName( )` Return the name of this type as string
public string | `getXmlName( )` Returns the name to be used in a xml schema for this type.
public DOMElement | `getXmlSchema( $dom )`
public boolean | `isArray( )`
public boolean | `isMap( )`
public boolean | `isObject( )`
public boolean | `isPrimitive( )`
public boolean | `isScalarType( )` Returns whether this type is one of integer, float, string, or boolean.
public String | `__toString( )` Returns a string representation.

### Methods

#### getTypeName

string getTypeName( )

Return the name of this type as string

#### getXmlName

string getXmlName( )

Returns the name to be used in a xml schema for this type.

#### getXmlSchema

DOMElement getXmlSchema( $dom )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$dom` | DOMDocument |

#### isArray

boolean isArray( )

#### isMap

boolean isMap( )

#### isObject

boolean isObject( )

#### isPrimitive

boolean isPrimitive( )

#### isScalarType

boolean isScalarType( )

Returns whether this type is one of integer, float, string, or boolean.

Types array, object, resource, NULL, mixed, number, and callback are not scalar.

#### __toString

String __toString( )

Returns a string representation.

Documentation generated by phpDocumentor 1.4.3